> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pads4.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apiv1migrationgetmigrationstatus



## OpenAPI

````yaml https://saas.pads365.com/rdx/NDS.Services.Migration//swagger/v1/swagger.json post /api/v1/migration/getMigrationStatus
openapi: 3.0.0
info:
  title: NDS.Services.Migration
  version: 1.0.0
servers:
  - url: https://saas.pads365.com/rdx/NDS.Services.Migration/
security: []
paths:
  /api/v1/migration/getMigrationStatus:
    post:
      tags:
        - MigrationControllers
      operationId: MigrationControllers_GetMigrationStatus
      requestBody:
        x-name: request
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetMigrationStatusRequest'
        required: true
        x-position: 1
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetMigrationStatusResult'
components:
  schemas:
    GetMigrationStatusRequest:
      allOf:
        - $ref: '#/components/schemas/BaseMessage'
        - type: object
          additionalProperties: false
          properties:
            MigrationRunId:
              type: string
              nullable: true
    GetMigrationStatusResult:
      allOf:
        - $ref: '#/components/schemas/ResultMessage'
        - type: object
          additionalProperties: false
          properties:
            Id:
              type: string
              nullable: true
            MigrationId:
              type: string
              nullable: true
            TimeStamp:
              type: string
              format: date-time
            Status:
              type: string
              nullable: true
            Exception:
              type: string
              nullable: true
            Data:
              type: string
              nullable: true
            LogLines:
              type: array
              nullable: true
              items:
                $ref: '#/components/schemas/LogLine'
            ProgressUpdates:
              type: array
              nullable: true
              items:
                $ref: '#/components/schemas/ProgressInfo'
            ReportLines:
              type: array
              nullable: true
              items:
                $ref: '#/components/schemas/ReportLine'
    BaseMessage:
      allOf:
        - $ref: '#/components/schemas/Message'
        - type: object
          additionalProperties: false
    ResultMessage:
      type: object
      additionalProperties: false
      properties:
        Succeeded:
          type: boolean
        Message:
          type: string
          nullable: true
        Code:
          type: string
          nullable: true
    LogLine:
      type: object
      additionalProperties: false
      properties:
        Type:
          type: string
          nullable: true
        Message:
          type: string
          nullable: true
        Level:
          type: string
          nullable: true
        Timestamp:
          type: string
          format: date-time
    ProgressInfo:
      type: object
      additionalProperties: false
      properties:
        Id:
          type: string
          nullable: true
        PercentComplete:
          type: number
          format: double
        Header:
          type: string
          nullable: true
        Message:
          type: string
          nullable: true
        Timestamp:
          type: string
          format: date-time
    ReportLine:
      type: object
      additionalProperties: false
      properties:
        Type:
          type: string
          nullable: true
        Section:
          type: string
          nullable: true
        Message:
          type: string
          nullable: true
        Level:
          type: string
          nullable: true
        Timestamp:
          type: string
          format: date-time
    Message:
      type: object
      x-abstract: true
      additionalProperties: false
      properties:
        Context:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/MessageContext'
    MessageContext:
      type: object
      additionalProperties: false
      properties:
        CorrelationId:
          type: string
          nullable: true
        UserId:
          type: string
          nullable: true
        Pads4UserId:
          type: string
          nullable: true
        Domain:
          type: string
          nullable: true
        Claims:
          type: array
          nullable: true
          items:
            $ref: '#/components/schemas/UserClaim'
        SecondaryIdentities:
          type: array
          nullable: true
          items:
            type: string
        ImpersonationId:
          type: string
          nullable: true
    UserClaim:
      type: object
      additionalProperties: false
      properties:
        Type:
          type: string
          nullable: true
        Value:
          type: string
          nullable: true

````